Package de.tudresden.sumo.objects

## Class SumoRoadPosition

- java.lang.Object
- - de.tudresden.sumo.objects.SumoRoadPosition

- All Implemented Interfaces:
    `SumoObject`
  Direct Known Subclasses:
    `SumoRoadPosition`

      public class SumoRoadPosition
      extends Object
      implements SumoObject

  Author:
    Jakob Erdmann

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `edgeID` |
    `int` | `laneIndex` |
    `double` | `pos` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SumoRoadPosition()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### edgeID

          public String edgeID

    - #### pos

          public double pos

    - #### laneIndex

          public int laneIndex

  - ### Constructor Detail

    - #### SumoRoadPosition

          public SumoRoadPosition()